#
# spec file for package xtexit (Version 0.42)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xtexit
Copyright:    1990 Front End Oy
Group:        X11/Utilities
Provides:     xtexit 
Requires:     xaw3d
Autoreqprov:  on
Version:      0.42
Release:      400
Summary:      Prompt on exiting X
Source: xtexit.tar.gz
Patch: xtexit.dif

%description
`xtexit` sends an request to all clients to shut down. If the application
still needs an user interaction (e.g. if a file should be saved) this is
possible.
If you answer by the affirmative all applications will be closed. This method
is not fully water-proof but better than killing each and every client without
being able to interfere.
xterm applications anyway are killed immediately!
If this package is installed, it will be automatically integrated into the
sample user fvwm menu.

Authors:
--------
    Klaus Franken <kfr@suse.de>
    Teemu Torma, Front End Oy <tot@frend.fi>
    Paul Raines <raines@slac.stanford.edu>

SuSE series: xap

%prep
%setup -n xtexit
%patch

%build
xmkmf -a
make

%install
make install

%files
%doc README README.SuSE
/usr/X11R6/bin/xtexit
%config /usr/X11R6/lib/X11/app-defaults/XTexit

%changelog -n xtexit
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Wed May 31 2000 - ro@suse.de
- specfile cleaned, doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
